Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt

Use this file to discover all available pages before exploring further.

The Co-mentions method details entities, topics, and sources identified in chunks that match the query criteria.
Chunks matched the query criteria if the query filters matched the chunk or the document’s headline.Check the page Query filters to see all available filters.
Co-mentions return the most detected entities and topics.

Connected Entities

Use /v1/search/co-mentions/entities to get the most detected entities among these entity categories:
  • places
  • companies
  • organizations
  • people
  • products
  • concepts
This kind of method helps explore Bigdata content to find the needle in a haystack or research how the topic you are looking for impacts on other analytics:
curl -X POST 'https://api.bigdata.com/v1/search/co-mentions/entities' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: <your-api-key>' \
  --data '{
  "query": {
    "filters": {
      "keyword": {
        "any_of": [
          "tesla"
        ]
      },
      "entity": {
        "any_of": [
          "228D42"
        ]
      }
    },
    "limit": 10
  }
}'
The output is an object containing the most detected entities including entity id, total chunks count and total headlines count:
"results": {
    "places": [],
    "companies": [
        {
            "id": "228D42",
            "total_chunks_count": 61206,
            "total_headlines_count": 20776
        },
        {
            "id": "DD3BB1",
            "total_chunks_count": 42786,
            "total_headlines_count": 25534
        },
        {
            "id": "0157B1",
            "total_chunks_count": 28564,
            "total_headlines_count": 0
        },
        {
            "id": "12E454",
            "total_chunks_count": 27847,
            "total_headlines_count": 5980
        },
        {
            "id": "D8442A",
            "total_chunks_count": 26433,
            "total_headlines_count": 8461
        },
        {
            "id": "E09E2B",
            "total_chunks_count": 25728,
            "total_headlines_count": 8376
        },
        {
            "id": "4A6F00",
            "total_chunks_count": 22327,
            "total_headlines_count": 0
        }
    ],
    "organizations": [],
    "people": [],
    "products": [
        {
            "id": "39E5EB",
            "total_chunks_count": 10157,
            "total_headlines_count": 0
        }
    ],
    "concepts": [
        {
            "id": "C4F920",
            "total_chunks_count": 34175,
            "total_headlines_count": 19545
        },
        {
            "id": "FE1757",
            "total_chunks_count": 13740,
            "total_headlines_count": 5795
        },
        {
            "id": "38918B",
            "total_chunks_count": 0,
            "total_headlines_count": 5753
        },
        {
            "id": "168FE8",
            "total_chunks_count": 0,
            "total_headlines_count": 9884
        }
    ]
}

Connected Topics

Use /v1/search/co-mentions/topics to get the most detected topics.
curl -X POST 'https://api.bigdata.com/v1/search/co-mentions/topics' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: <your-api-key>' \
  --data '{
  "query": {
    "filters": {
      "keyword": {
        "any_of": [
          "tesla"
        ]
      },
      "entity": {
        "any_of": [
          "228D42"
        ]
      }
    },
    "limit": 10
  }
}'
The output is an object containing the most detected topics including topic id, total chunks count and total headlines count:
"results": {
        "topics": [
            {
                "id": "business,stock-prices,stock-price,gain,",
                "total_chunks_count": 5880,
                "total_headlines_count": 2298
            },
            {
                "id": "business,stock-prices,stock-price,loss,",
                "total_chunks_count": 5445,
                "total_headlines_count": 2050
            },
            {
                "id": "business,indexes,index-value,gain,",
                "total_chunks_count": 1574,
                "total_headlines_count": 196
            },
            {
                "id": "business,indexes,index-value,loss,",
                "total_chunks_count": 1351,
                "total_headlines_count": 210
            },
            {
                "id": "business,earnings,earnings,,",
                "total_chunks_count": 1238,
                "total_headlines_count": 1268
            },
            {
                "id": "business,products-services,product-release,,",
                "total_chunks_count": 412,
                "total_headlines_count": 0
            },
            {
                "id": "business,stock-picks,stock-pick,buy,",
                "total_chunks_count": 295,
                "total_headlines_count": 0
            },
            {
                "id": "business,partnerships,partnership,,",
                "total_chunks_count": 263,
                "total_headlines_count": 0
            },
            {
                "id": "business,labor-issues,layoffs,,",
                "total_chunks_count": 251,
                "total_headlines_count": 276
            },
            {
                "id": "society,legal,legal-issues,,",
                "total_chunks_count": 220,
                "total_headlines_count": 210
            },
            {
                "id": "business,earnings,earnings-estimate,,",
                "total_chunks_count": 0,
                "total_headlines_count": 392
            },
            {
                "id": "economy,foreign-exchange,currency-rate,,",
                "total_chunks_count": 0,
                "total_headlines_count": 428
            },
            {
                "id": "business,stock-prices,stock-price,,",
                "total_chunks_count": 0,
                "total_headlines_count": 316
            }
        ]
    }